import { GameError } from "./game_error.js";

export class DuplicatePlayerError extends GameError {
  constructor(gameId: number, playerId: number, options?: ErrorOptions) {
    super(`Game: ${gameId} already has player ${playerId}`, options);
  }
}
