import { GameError } from "./game_error.js";

export class GameCompleteError extends GameError {
  constructor(gameId: number, playerId: number, options?: ErrorOptions) {
    super(
      `Player: ${playerId} attempted to participate in game: ${gameId}, but ` +
        `this game has finished`,
      options
    );
  }
}
