import { GameError } from "./game_error.js";

export class OutOfTurnError extends GameError {
  constructor(gameId: number, playerId: number, options?: ErrorOptions) {
    super(
      `Player: ${playerId} attempted to roll dice out of turn in game: ` +
        `${gameId}`,
      options
    );
  }
}
