import { TournamentError } from "./tournament_error.js";

export class GameNotStartedError extends TournamentError {
  constructor(gameId: number, playerId: number, options?: ErrorOptions) {
    super(
      `Player: ${playerId} attempted to participate in game: ${gameId}, but ` +
        `that game hasn't started yet`,
      options
    );
  }
}
