import { GameError } from "./game_error.js";

export class BoardLoadError extends GameError {
  constructor(message: string, options?: ErrorOptions) {
    super(`Unable to load board: ${message}`, options);
  }
}
