import { TournamentError } from "./tournament_error.js";

export class TournamentIncompleteError extends TournamentError {
  constructor(incompleteGameIds: number[], options?: ErrorOptions) {
    const incompleteStr = incompleteGameIds.join(", ");
    super(
      "Tournament has the following incomplete game(s): " + incompleteStr,
      options
    );
  }
}
